/**
 * Print locales settings.
 * @function print
 * @param {object} locales - locales settings to print.
 */

"use strict";

const colorprint = require('colorprint'),
    extend = require('extend'),
    colors = colorprint.colors,
    yaml = require('js-yaml');

function _values(modules) {
    let values = {};
    Object.keys(modules).forEach((key) => {
        values[key] = typeof modules[key];
    });
    return values;
}

/** @lends print */
function print(modules, name) {
    let values = _values(modules);
    colorprint.debug('');
    let title = 'Modules';
    if (name) {
        title = [title, name].join(' in ');
    }
    colorprint.debug(title);
    colorprint.debug('------------');
    let msg = yaml.safeDump(values);
    colorprint.debug(colors.blackBright(msg));
    colorprint.debug('');
    colorprint.debug('');
}

module.exports = print;
